Subject: Re: [PATCH RFC v3 00/18] Introduce git-history(1) command for easy history editing

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Fri, 05 Sep 2025 12:29:55 +0200

On Thu, Sep 4, 2025, at 16:27, Patrick Steinhardt wrote:
> Hi,
>[snip]
> I thus had a look at implementing some of these commands in Git itself,
> where the result is this patch series. Specifically, the following
> commands are introduced by this patch series:
>
>   - `git history drop` to drop a specific commit. This is basically the
>     same as jj-abandon(1).
>
>   - `git history reorder` to reorder a specific commit before or after
>     another commit. This is inspired by jj-new(1).
>
>   - `git history split` takes a commit and splits it into two. This is
>     basically the same as jj-split(1).
>
> If this is something we want to have I think it'd be just a starting
> point. There's other commands that I think are quite common and that
> might make sense to introduce eventually:
>
>   - An equivalent to jj-absorb(1) would be awesome to have.
>
>   - `git history reword` to change only the commit message of a specific
>     commit.

The cover letter is a bit outdated. Reword has been here since v2.

>
>   - `git history squash` to squash together multiple commits into one.
>
>[snip]